Ruby: ripper_scanner_ids_t Struct Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Fields
ripper_scanner_ids_t Struct Reference

## Data Fields
ID | ripper_id_backref
ID | ripper_id_backtick
ID | ripper_id_comma
ID | ripper_id_const
ID | ripper_id_cvar
ID | ripper_id_embexpr_beg
ID | ripper_id_embexpr_end
ID | ripper_id_embvar
ID | ripper_id_float
ID | ripper_id_gvar
ID | ripper_id_ident
ID | ripper_id_imaginary
ID | ripper_id_int
ID | ripper_id_ivar
ID | ripper_id_kw
ID | ripper_id_lbrace
ID | ripper_id_lbracket
ID | ripper_id_lparen
ID | ripper_id_nl
ID | ripper_id_op
ID | ripper_id_period
ID | ripper_id_rbrace
ID | ripper_id_rbracket
ID | ripper_id_rparen
ID | ripper_id_semicolon
ID | ripper_id_symbeg
ID | ripper_id_tstring_beg
ID | ripper_id_tstring_content
ID | ripper_id_tstring_end
ID | ripper_id_words_beg
ID | ripper_id_qwords_beg
ID | ripper_id_qsymbols_beg
ID | ripper_id_symbols_beg
ID | ripper_id_words_sep
ID | ripper_id_rational
ID | ripper_id_regexp_beg
ID | ripper_id_regexp_end
ID | ripper_id_label
ID | ripper_id_label_end
ID | ripper_id_tlambda
ID | ripper_id_tlambeg
ID | ripper_id_ignored_nl
ID | ripper_id_comment
ID | ripper_id_embdoc_beg
ID | ripper_id_embdoc
ID | ripper_id_embdoc_end
ID | ripper_id_sp
ID | ripper_id_heredoc_beg
ID | ripper_id_heredoc_end
ID | ripper_id___end__
ID | ripper_id_CHAR

## Detailed Description

Definition at line 20 of file eventids2.c.

## Field Documentation

## ◆ ripper_id___end__

ID ripper_scanner_ids_t::ripper_id___end__

Definition at line 71 of file eventids2.c.

## ◆ ripper_id_backref

ID ripper_scanner_ids_t::ripper_id_backref

Definition at line 21 of file eventids2.c.

## ◆ ripper_id_backtick

ID ripper_scanner_ids_t::ripper_id_backtick

Definition at line 22 of file eventids2.c.

## ◆ ripper_id_CHAR

ID ripper_scanner_ids_t::ripper_id_CHAR

Definition at line 72 of file eventids2.c.

## ◆ ripper_id_comma

ID ripper_scanner_ids_t::ripper_id_comma

Definition at line 23 of file eventids2.c.

## ◆ ripper_id_comment

ID ripper_scanner_ids_t::ripper_id_comment

Definition at line 64 of file eventids2.c.

## ◆ ripper_id_const

ID ripper_scanner_ids_t::ripper_id_const

Definition at line 24 of file eventids2.c.

## ◆ ripper_id_cvar

ID ripper_scanner_ids_t::ripper_id_cvar

Definition at line 25 of file eventids2.c.

## ◆ ripper_id_embdoc

ID ripper_scanner_ids_t::ripper_id_embdoc

Definition at line 66 of file eventids2.c.

## ◆ ripper_id_embdoc_beg

ID ripper_scanner_ids_t::ripper_id_embdoc_beg

Definition at line 65 of file eventids2.c.

## ◆ ripper_id_embdoc_end

ID ripper_scanner_ids_t::ripper_id_embdoc_end

Definition at line 67 of file eventids2.c.

## ◆ ripper_id_embexpr_beg

ID ripper_scanner_ids_t::ripper_id_embexpr_beg

Definition at line 26 of file eventids2.c.

## ◆ ripper_id_embexpr_end

ID ripper_scanner_ids_t::ripper_id_embexpr_end

Definition at line 27 of file eventids2.c.

## ◆ ripper_id_embvar

ID ripper_scanner_ids_t::ripper_id_embvar

Definition at line 28 of file eventids2.c.

## ◆ ripper_id_float

ID ripper_scanner_ids_t::ripper_id_float

Definition at line 29 of file eventids2.c.

## ◆ ripper_id_gvar

ID ripper_scanner_ids_t::ripper_id_gvar

Definition at line 30 of file eventids2.c.

## ◆ ripper_id_heredoc_beg

ID ripper_scanner_ids_t::ripper_id_heredoc_beg

Definition at line 69 of file eventids2.c.

## ◆ ripper_id_heredoc_end

ID ripper_scanner_ids_t::ripper_id_heredoc_end

Definition at line 70 of file eventids2.c.

## ◆ ripper_id_ident

ID ripper_scanner_ids_t::ripper_id_ident

Definition at line 31 of file eventids2.c.

## ◆ ripper_id_ignored_nl

ID ripper_scanner_ids_t::ripper_id_ignored_nl

Definition at line 63 of file eventids2.c.

## ◆ ripper_id_imaginary

ID ripper_scanner_ids_t::ripper_id_imaginary

Definition at line 32 of file eventids2.c.

## ◆ ripper_id_int

ID ripper_scanner_ids_t::ripper_id_int

Definition at line 33 of file eventids2.c.

## ◆ ripper_id_ivar

ID ripper_scanner_ids_t::ripper_id_ivar

Definition at line 34 of file eventids2.c.

## ◆ ripper_id_kw

ID ripper_scanner_ids_t::ripper_id_kw

Definition at line 35 of file eventids2.c.

## ◆ ripper_id_label

ID ripper_scanner_ids_t::ripper_id_label

Definition at line 58 of file eventids2.c.

## ◆ ripper_id_label_end

ID ripper_scanner_ids_t::ripper_id_label_end

Definition at line 59 of file eventids2.c.

## ◆ ripper_id_lbrace

ID ripper_scanner_ids_t::ripper_id_lbrace

Definition at line 36 of file eventids2.c.

## ◆ ripper_id_lbracket

ID ripper_scanner_ids_t::ripper_id_lbracket

Definition at line 37 of file eventids2.c.

## ◆ ripper_id_lparen

ID ripper_scanner_ids_t::ripper_id_lparen

Definition at line 38 of file eventids2.c.

## ◆ ripper_id_nl

ID ripper_scanner_ids_t::ripper_id_nl

Definition at line 39 of file eventids2.c.

## ◆ ripper_id_op

ID ripper_scanner_ids_t::ripper_id_op

Definition at line 40 of file eventids2.c.

## ◆ ripper_id_period

ID ripper_scanner_ids_t::ripper_id_period

Definition at line 41 of file eventids2.c.

## ◆ ripper_id_qsymbols_beg

ID ripper_scanner_ids_t::ripper_id_qsymbols_beg

Definition at line 52 of file eventids2.c.

## ◆ ripper_id_qwords_beg

ID ripper_scanner_ids_t::ripper_id_qwords_beg

Definition at line 51 of file eventids2.c.

## ◆ ripper_id_rational

ID ripper_scanner_ids_t::ripper_id_rational

Definition at line 55 of file eventids2.c.

## ◆ ripper_id_rbrace

ID ripper_scanner_ids_t::ripper_id_rbrace

Definition at line 42 of file eventids2.c.

## ◆ ripper_id_rbracket

ID ripper_scanner_ids_t::ripper_id_rbracket

Definition at line 43 of file eventids2.c.

## ◆ ripper_id_regexp_beg

ID ripper_scanner_ids_t::ripper_id_regexp_beg

Definition at line 56 of file eventids2.c.

## ◆ ripper_id_regexp_end

ID ripper_scanner_ids_t::ripper_id_regexp_end

Definition at line 57 of file eventids2.c.

## ◆ ripper_id_rparen

ID ripper_scanner_ids_t::ripper_id_rparen

Definition at line 44 of file eventids2.c.

## ◆ ripper_id_semicolon

ID ripper_scanner_ids_t::ripper_id_semicolon

Definition at line 45 of file eventids2.c.

## ◆ ripper_id_sp

ID ripper_scanner_ids_t::ripper_id_sp

Definition at line 68 of file eventids2.c.

## ◆ ripper_id_symbeg

ID ripper_scanner_ids_t::ripper_id_symbeg

Definition at line 46 of file eventids2.c.

## ◆ ripper_id_symbols_beg

ID ripper_scanner_ids_t::ripper_id_symbols_beg

Definition at line 53 of file eventids2.c.

## ◆ ripper_id_tlambda

ID ripper_scanner_ids_t::ripper_id_tlambda

Definition at line 60 of file eventids2.c.

## ◆ ripper_id_tlambeg

ID ripper_scanner_ids_t::ripper_id_tlambeg

Definition at line 61 of file eventids2.c.

## ◆ ripper_id_tstring_beg

ID ripper_scanner_ids_t::ripper_id_tstring_beg

Definition at line 47 of file eventids2.c.

## ◆ ripper_id_tstring_content

ID ripper_scanner_ids_t::ripper_id_tstring_content

Definition at line 48 of file eventids2.c.

## ◆ ripper_id_tstring_end

ID ripper_scanner_ids_t::ripper_id_tstring_end

Definition at line 49 of file eventids2.c.

## ◆ ripper_id_words_beg

ID ripper_scanner_ids_t::ripper_id_words_beg

Definition at line 50 of file eventids2.c.

## ◆ ripper_id_words_sep

ID ripper_scanner_ids_t::ripper_id_words_sep

Definition at line 54 of file eventids2.c.

The documentation for this struct was generated from the following file:

- ext/ripper/eventids2.c